## zowe › ejes › api › cancel-download

Cancels a streaming download of PDF or Text data. A download is initiated via the -d option on an Exec request. Refer to the (E)JES REST API swagger documentation for details on mapped options.

For a command group overview, issue: zowe ejes api -h

#### Usage

zowe ejes api cancel-download [options]

#### Query Item Options

- `--cookie` (string)

  - Supply the cookie output by a stateful request. This option supports optional syntax to enable automatic management of the cookie without scraping from stdout.

    --cookie [<cookie-value>|read[<pin>]|write[<pin>]

    The CLI can manage a stateful cookie transaction proactively. On the init, specify --cookie write or --cookie write-pin where pin can be any alphanumeric string. On the exec, cancel-download, and term specify --cookie read or --cookie read-pin. The cookie generated by the host is managed in the user's work directory. A pin is required only when there are multiple simultaneous sessions.

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.

#### Examples

- Cancel a long running job. Show the status in returned JSON.

  Example:

  - `zowe ejes api cancel-download --rfj --cookie "EJESWEB_54761=DB856A...;path=/EjesWeb;Secure;HttpOnly"`